theScale = 0.1
Rollout objectplaceRoll "Object Placement (.con file)"
(
	
	Group "Selected Object's Positions"
	(
		edittext prefix_txt "Optional prefix:" fieldWidth:70 
		edittext suffix_txt "Optional suffix:" fieldWidth:70 
		
		radiobuttons team labels:#("Axis(1)  ", "Allies(2)")
		button vecButton "Spawning Vehicles"
		button objsButton "Static Objects..."
	)
		on vecButton pressed do
		(
			number_of_items =  selection.count -- Counts the number of items that are selected
			
			fname = getSaveFileName caption: "BF Spawining objects list File" types:" .con|*.con|"
			if fname != undefined then
			(
				f = createfile fname
				progressStart "Exporting BF Spawn objects list File"
				
				
				for item_number = 1 to number_of_items do  --sets up the loop for each entry
				(
					s = selection[item_number] -- stores current item by number into s
					x = s.rotation.x_rotation
					if (abs x) <= 0.1 do x = 0
					y = s.rotation.y_rotation
					if (abs y) <= 0.1 do y = 0
					z = s.rotation.z_rotation
					if (abs z) <= 0.1 do z = 0
					tx = (s.position.x)*theScale
					ty = (s.position.y)*theScale
					tz = (s.position.z)*theScale
					
					format "rem\nrem ***  %\nrem\nObject.create %%%\nObject.absolutePosition %/%/%\nObject.rotation %/%/%\nObject.setTeam %\n" ((filterString s.name "_")[2]) prefix_txt.text ((filterString s.name "_")[1]) suffix_txt.text tx tz ty -z -y -x team.state to:f
				)
				
				close f -- closes the file
				
				progressEnd()
			)
		)
		
		on objsButton pressed do
		(
			number_of_items =  selection.count -- Counts the number of items that are selected
			
			fname = getSaveFileName caption: "Save BF Static objects list File" types:" .con|*.con|"
			if fname != undefined then
			(
				f = createfile fname
				progressStart "BF objects list File"
					
				for item_number = 1 to number_of_items do  --sets up the loop for each entry
				(
					s = selection[item_number] -- stores current item by number into s
					x = s.rotation.x_rotation
					if (abs x) <= 0.1 do x = 0
					y = s.rotation.y_rotation
					if (abs y) <= 0.1 do y = 0
					z = s.rotation.z_rotation
					if (abs z) <= 0.1 do z = 0
					tx = (s.position.x)*theScale
					ty = (s.position.y)*theScale
					tz = (s.position.z)*theScale

					format "\nrem ***  %\nObject.create %%%\nObject.absolutePosition %/%/%\nObject.rotation %/%/%\n" ((filterString s.name "_")[2]) prefix_txt.text ((filterString s.name "_")[1]) suffix_txt.text tx tz ty -z -y x to:f
				)
				
				close f -- closes the file
				
				progressEnd()
			)
		)
		
)