clearlistener()
f = 1
SMscale = 10;

fname = getOpenFileName caption:"Import .baf" types:"Animation File .baf|*.baf|All|*.*|"
--fname = "C:\\_CE 4 BF\\tmp\\Bar1918Reload.baf"
if fname != undefined do
(
	print ("Reading: "+(fname as string))
	f=fopen fname "rb"

	header = (readlong f)
	print ("Header: "+(header as string))
	numBones = (readshort f)
	print ("NumBones: "+(numBones as string))

	boneName = #()
	rbone = #()

	for i=1 to numBones do
	(
		fseek f 2 #seek_cur
		boneName[i] = (readstring f)
		print (" Bone_"+(i as string)+"\t"+(boneName[i] as string))
		rbone[i] = Box lengthsegs:1 widthsegs:1 heightsegs:1 length:0.5 width:0.5 height:0.5 pos:[0,0,0] name:boneName[i]
	)

	numFrames = (readshort f)
	print ("Frames of animation: "+(numFrames as string))

	fseek f 2 #seek_cur
	tmp = #(1,2,3)
	animButtonState = true
	animationRange = (interval 0 (numFrames-1))
	for i=0 to (numFrames-1) do
	(
		sliderTime = i

		for j=1 to numBones do
		(
			fseek f 8 #seek_cur --// skipping the unknown data
			for n=1 to 3 do
			(
				tmp[n] = (readfloat f)*SMscale
			)
			rbone[j].pos = [tmp[1],-(tmp[3]),tmp[2]]
		)

	)
	animButtonState = false
	

	print ("Im here "+((ftell f) as string))
	fclose f
)
