// MFC1.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "tgaSplit.h"


#define BUFFSIZE 8192
#define MAXOUTRES 2048

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// The one and only application object

CWinApp theApp;

using namespace std;


unsigned short exponent(unsigned char input)
{
	unsigned short i,value;
	value = 1;
	if(input >= 2)
	{
		for(i=2;i <= input;i++)
		{
			value = value * 10;
		}
	}
	return value;
}

unsigned short Char2Short(char* freak, char digits)
{
	unsigned short result=0;

	result = freak[0]-48;
	return result;
}

int _tmain(int argc, TCHAR* argv[], TCHAR* envp[])
{
	int nRetCode = 0;
	int fred;
	
	

	// initialize MFC and print and error on failure
	if (!AfxWinInit(::GetModuleHandle(NULL), NULL, ::GetCommandLine(), 0))
	{
		// TODO: change error code to suit your needs
		cerr << _T("Fatal Error: MFC initialization failed") << endl;
		nRetCode = 1;
	}
	else
	{

	if(argc <= 1) // Assume no command line inputs   
	{	 
		cout << "tgaSplit.exe FILENAME SegmentsHorizontal_X";
		return 1;
	}

	unsigned short InputX=0,InputY=0, SegmentsX=0, SegmentsY=0, Res,depth;
	char x,y;
	unsigned long j;

	SegmentsX = Char2Short(argv[2],2);

	LPCTSTR sreadFilename="test.tga";
	sreadFilename =argv[1];

	char outName[12]={0};
	BYTE daheader[12] = {
    0x00, 0x00, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 
    } ;
	BYTE dafooter[26] = {
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x54, 0x52, 0x55, 0x45, 0x56, 0x49, 0x53, 0x49, 
    0x4F, 0x4E, 0x2D, 0x58, 0x46, 0x49, 0x4C, 0x45, 0x2E, 0x00, 
    } ;
	BYTE twent4[2] = {
    0x18, 0x00,
    } ;
	cout << "INPUT: " << sreadFilename << endl;
	DWORD dwErrorCode = NO_ERROR;
	HANDLE fin = NULL;
	HANDLE fout = NULL;

	DWORD nextread,nextseg;

	try
	{
		// Open the file
		fin = CreateFile(sreadFilename,
			GENERIC_READ,
			FILE_SHARE_READ,
			NULL,
			OPEN_EXISTING,
			FILE_ATTRIBUTE_ARCHIVE | FILE_ATTRIBUTE_HIDDEN | FILE_ATTRIBUTE_READONLY | FILE_ATTRIBUTE_SYSTEM | FILE_FLAG_SEQUENTIAL_SCAN,
			NULL);

		if(fin == INVALID_HANDLE_VALUE)
			dwErrorCode = GetLastError();
		else
		{
			outName[0] = 'T';
			outName[1] = 'x';
			outName[4] = 'x';

			outName[7] = '.';
			outName[8] = 't';
			outName[9] = 'g';
			outName[10] = 'a';

			BYTE buffer[BUFFSIZE];
			DWORD resultCode=0;
			DWORD dwBytesRead;
			DWORD dwBytesWritten;

//			SetFilePointer(fin,offsetDistance,null,method);
			SetFilePointer(fin,12,NULL,FILE_CURRENT);
			BOOL bSuccess = ReadFile(fin, (char*)&InputX, 2,
									&dwBytesRead, NULL);
			bSuccess = ReadFile(fin, (char*)&InputY, 2,
									&dwBytesRead, NULL);
			bSuccess = ReadFile(fin, (char*)&depth, 2,
									&dwBytesRead, NULL);
			if(depth != 24)
			{
				CloseHandle(fin);
				
				cout << endl << "***ERROR bitdepth not 24";
				return 1;
			}
			Res = (InputX/SegmentsX);
			SegmentsY = InputY/Res;

			cout << " Input Image Res: " << InputX << 'x' << InputY<< endl;
			cout << " Output Image Res: "<< Res << endl;
			cout << " SegsY: " << SegmentsY << endl;

/*			
			cout << "\n##**  TEST: " << (long)1 
				<< endl << endl;

*/

////////////////////////////////////////////

	for(y=(SegmentsY-1);y >= 0; y--) // i = yRow
	{	
		 // Tx00x00  this algorithm supports maximum of 29x29 segs
		if( y <= 9)
		{
			outName[5]=48;
			outName[6]=y+48;
		}
		else
		{
			if( y <= 19)
			{
				outName[5]=1+48;
				outName[6]=(y-10+48);
			}
			else if( y <= 29)
			{
				outName[5]=2+48;
				outName[6]=(y-20+48);
			}
		}
	nextread = 18 + (SegmentsY-1-y)*Res*Res*3*SegmentsX;
	nextseg = nextread;
		for(x=0;x <= (SegmentsX-1); x++)
		{
//			cout << " x: " << (short)x << " y: " << (short)y << endl;
			//Generate the filename to save this segment as

			if( x <= 9)
			{
				outName[2]=48;
				outName[3]=x+48;
			}
			else
			{
				if( x <= 19)
				{
					outName[2]=1+48;
					outName[3]=(x-10+48);
				}
				else if( x <= 29)
				{
					outName[2]=2+48;
					outName[3]=(x-20+48);
				}
			}
			cout << outName << endl;


				fout = CreateFile(outName,
					GENERIC_WRITE,
					FILE_SHARE_WRITE,
					NULL,
					CREATE_ALWAYS,
					FILE_ATTRIBUTE_NORMAL,
					NULL);
				if(fout == INVALID_HANDLE_VALUE)
				{
				fred = GetLastError();
				cout << "\n***Error with file "<< outName <<"  Colde: " << (long)fred 
				<< endl << endl;
				}

				
				//	header
				WriteFile(fout,(char*)&daheader,	12,&dwBytesWritten,NULL);
				WriteFile(fout,(char*)&Res,			2,&dwBytesWritten,NULL);
				WriteFile(fout,(char*)&Res,			2,&dwBytesWritten,NULL);
				WriteFile(fout,(char*)&twent4,		2,&dwBytesWritten,NULL);				

		//		cout << " SegmenStarts  " << nextseg <<endl;
				SetFilePointer(fin,  nextseg  ,NULL,FILE_BEGIN);
				for(j=1; j <= Res; j++)
				{
			//		cout << "   ReadRow  " << nextread << endl;
					SetFilePointer(fin,  nextread  ,NULL,FILE_BEGIN);
					bSuccess = ReadFile(fin, buffer, (Res*3),
									&dwBytesRead, NULL);
					WriteFile(fout,(char*)&buffer,		(Res*3),&dwBytesWritten,NULL);	
					// skip to next row up
					nextread = nextread+ Res*3+(Res*3*(SegmentsX-1));
					
				}

				// put cursor back on next segment file
				nextseg = nextseg+(Res*3);
				nextread = nextseg;

				WriteFile(fout,(char*)&dafooter,26,&dwBytesWritten,NULL);

				CloseHandle(fout); 
				fout = NULL;
		
		}
	}

///////////////////////////////////////



		}
		CloseHandle(fin); 
	}
	catch(...)
	{
		// An unknown exception happened
		dwErrorCode = ERROR_CRC;
	}





	}

	return nRetCode;
}


