// IOIO.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#define MAXNAMELN 31
#define MAXBONES 127
#define MAXFRAMES 255

class trifloat
{
public:
	float x;
	float y;
	float z;
};


class bones
{
public:
	char name[MAXNAMELN];
	unsigned long unkn1[MAXFRAMES];
	unsigned long unkn2[MAXFRAMES];
	trifloat vertex[MAXFRAMES];
};

int main(int argc, char* argv[]) //argc is number of commands including program name
{
//	char fileInName[255], fileOutName[255];

	if(argc <= 1)
	{
		cout << "***ERROR***  Please supply a file name:\n\t Useage:  program.exe filename.ske\n\n";
		return 0;
	}

	ifstream fin(argv[1], ios::in | ios::binary | ios::nocreate);


//	fstream fout("output_file.txt",ios::out | ios::in | ios::binary | ios::trunc);

	long header, numFrames, i,n;
	unsigned short numBones;
	
//**HEADER
	fin.read((char*)&header,4);
	fin.read((char*)&numBones,2);
	cout << "(.baf)header: " << header << endl
		 << "NumberOfBones: " << numBones << endl
		 << "----------------" << endl <<endl;
	if(header != 2)
	{
		cout << "***ERROR***  Header != 0 __ " << (long)header << endl;
		return 0;
	}
	

	unsigned short txtLen;
	bones bone[MAXBONES];

	for(i=1;i <= numBones; i++)
	{
		fin.read((char*)&txtLen,2);
		if(txtLen > MAXNAMELN)
		{
			cout << "***ERROR***  name lenght > " << MAXNAMELN << endl;
			break;
		}
		fin.read((char*)&bone[i].name,txtLen);
		cout << " BoneName_" << i << "\t\"" <<bone[i].name << '\"' << endl ;
	}

	fin.read((char*)&numFrames,4);
	cout << "\nNumber of frames: " << numFrames << endl << endl;

	for(n=1;n <= numFrames;n++)
	{
		cout << "*=Frame " << n << endl;
		for(i=1;i <= numBones; i++)
		{
			cout << "*Reading Bone #: " << i << endl <<"___________________" << endl;

			fin.read((char*)&bone[i].unkn1[n],4);
			fin.read((char*)&bone[i].unkn2[n],4);
			cout << " unkn1: " << bone[i].unkn1[n] << endl;
			cout << " unkn2: " << bone[i].unkn2[n] << endl;

			fin.read((char*)&bone[i].vertex[n].x ,4);
			fin.read((char*)&bone[i].vertex[n].y ,4);
			fin.read((char*)&bone[i].vertex[n].z ,4);

			cout << "  Float: " << bone[i].vertex[n].x << endl;
			cout << "  Float: " << bone[i].vertex[n].y << endl;
			cout << "  Float: " << bone[i].vertex[n].z << endl;

			cout << endl;
		}
		//	cout << "\n\n/\\/\\Debug fin.tellg() = " << fin.tellg() << endl;
	}

	


	
 

	



	fin.close();	
//	fout.close();

	cout << endl << endl;
	return 0;
}

