// IOIO.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#define MAXNAMELN 128
#define MAXBONES 256

class trifloat
{
public:
	float x;
	float y;
	float z;
};


class bones
{
public:
	char name[MAXNAMELN];
	unsigned short code1;
	trifloat vertex[4];
};

int main(int argc, char* argv[]) //argc is number of commands including program name
{
//	char fileInName[255], fileOutName[255];

	if(argc <= 1)
	{
		cout << "***ERROR***  Please supply a file name:\n\t Useage:  program.exe filename.ske\n\n";
		return 0;
	}

	ifstream fin(argv[1], ios::in | ios::binary | ios::nocreate);


//	fstream fout("output_file.txt",ios::out | ios::in | ios::binary | ios::trunc);

	long header1, numBones, i,j;
	
//**HEADER
	fin.read((char*)&header1,4);
	fin.read((char*)&numBones,4);
	cout << "header1: " << header1 << endl
		 << "NumberOfBones: " << numBones << endl
		 << "----------------" << endl <<endl;
	if(header1 != 1)
	{
		cout << "***ERROR***  Header != 0 __ " << (long)header1 << endl;
		return 0;
	}
	

	unsigned short txtLen;
	bones bone[MAXBONES];

	for(i=1;i <= numBones; i++)
	{
		cout << "*Reading Bone #: " << i << endl <<"___________________" << endl;
		fin.read((char*)&txtLen,2);
		cout << " NameTextLenght: " << txtLen << endl;
		if(txtLen > MAXNAMELN)
		{
			cout << "***ERROR***  name lenght > " << MAXNAMELN << endl;
			break;
		}

		fin.read((char*)&bone[i].name,txtLen);
		cout << " BoneName: \"" <<bone[i].name << '\"' << endl ;

		fin.read((char*)&bone[i].code1,2);
		cout << " Short: " << bone[i].code1 << endl;

		for(j=1;j <= 4; j++)
		{
			fin.read((char*)&bone[i].vertex[j].x ,4);
			fin.read((char*)&bone[i].vertex[j].y ,4);
			fin.read((char*)&bone[i].vertex[j].z ,4);
			cout << endl;
			cout << "  Float: " << bone[i].vertex[j].x << endl;
			cout << "  Float: " << bone[i].vertex[j].y << endl;
			cout << "  Float: " << bone[i].vertex[j].z << endl;
		}
		cout << endl;

	//	cout << "\n\n/\\/\\Debug fin.tellg() = " << fin.tellg() << endl;
	}

	
 

	



	fin.close();	
//	fout.close();

	cout << endl << endl;
	return 0;
}

